package de.mobileview.playground;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/TestServlet")
public class TestServlet extends HttpServlet {

    private static final long serialVersionUID = 1L;
    
    @EJB
    private TestBean testBean;
    
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	    // queue persist operation for the User in extended persistence context 
	    testBean.queueUserNoTx(new User("QueuedUser"));

	    // persist an other user by an transacted method of a dao 
	    testBean.saveUser(new User("UserSavedByDao"));
	    
	    
		response.getWriter().println("<h1>Test</h1>");
	}

}
